Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85273 - Installation failed when loading the netstg2.img
Summary: Installation failed when loading the netstg2.img
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-27 10:17 UTC by Eric Doutreleau
Modified: 2007-04-18 16:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-02 20:37:09 UTC


Attachments (Terms of Use)

Description Eric Doutreleau 2003-02-27 10:17:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
I 'm trying to install the phoebe3 with the image
boot.iso from the images directory.

I boot from the CD 
give the information needed to make an FTP installation and
i got the following messages

The RedHat Linux installation tree in that directory does not
seem to match your boot media

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. burn the cdrom
2. boot from it
3. enter the information on the machine and the ftp server
    

Actual Results:  i got the previous lessage

Expected Results:  the installation should go on

Additional info:

Comment 1 Michael Fulbright 2003-02-27 17:13:04 UTC
How did you set up the files on the FTP server in order to deliver it to the
installer?

Comment 2 R P Herrold 2003-03-05 03:54:12 UTC
I demonstrated the netstg2.img mismatch error to Tom Callaway a couple of
minutes ago -- he said he knew where in the anaconda code the error is

Comment 3 R P Herrold 2003-03-05 03:56:45 UTC
This also occurs with a PXE install, using the ISO mount script at:
  ftp://ftp.owlriver.com/pub/local/ORC/k12ltsp -- install-from-iso.sh

to recreate the environment

Comment 4 R P Herrold 2003-03-05 04:04:14 UTC
from an earlier mention ...

Doing a regular PXE boot FTP based install, I am being
presented with the following message:

------------| Error |-------------

The Red Hat Linux installation
tree in that directory does not
seem to match you boot media.

             OK

------------------------------------------------------

And yet I can see that the proper size and content file is
being sucessfully served:

(from the end of my /var/log/vsftp.log)

Wed Feb 19 11:36:09 2003 11 10.250.0.95 10391552
/pub/install/ftpinstall/RedHat/base/netstg2.img b _ o a
rhinstall@ ftp 0 * c

[VC 3 shows <snip>
* transferring
ftp://10.250.0.253//pub/install/ftpinstall/RedHat/base/netstg2.img to a fd
* copied 10391552 bytes to (null) (/tmp/ramfs/netstg2.img)
* mntloop  loop0 on /mnt/runtime as /tmp/ramfs/netstg2.img fd is 26
[this is the last line on VC3]


  then:
[root@ftp log]# find  /var/ftp/pub -name netstg2.img -print
/var/ftp/pub/loop/ftpinstall/1/RedHat/base/netstg2.img
/var/ftp/pub/install/ftpinstall/RedHat/base/netstg2.img
[root@ftp log]# ls -l \
        /var/ftp/pub/loop/ftpinstall/1/RedHat/base/netstg2.img  \
        /var/ftp/pub/install/ftpinstall/RedHat/base/netstg2.img
        /var/ftp/pub/install/ftpinstall/RedHat/base/netstg2.img -> \
                ../../../../loop/ftpinstall/1/RedHat/base/netstg2.img
-rw-r--r--    2 root     root     10391552 Feb 14 18:07
        /var/ftp/pub/loop/ftpinstall/1/RedHat/base/netstg2.img
[root@ftp log]# df
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hda3               457566    224144    209797  52% /
/dev/hda1               247950      9302    225845   4% /boot
none                    127728         0    127728   0% /dev/shm
/dev/hda5              2325332    710932   1496280  33% /usr
/dev/hdd6             26896336  19443820   6086252  77% /var/ftp/pub/mirror
/var/ftp/pub/mirror/redhat/beta/Phoebe-re0214.Beta5-RC6-i386-disc1-ftp.iso
                        648800    648800         0 100% \
        /var/ftp/pub/loop/ftpinstall/1
/var/ftp/pub/mirror/redhat/beta/Phoebe-re0214.Beta5-RC6-i386-disc2-ftp.iso
                        655200    655200         0 100% \
        /var/ftp/pub/loop/ftpinstall/2
/var/ftp/pub/mirror/redhat/beta/Phoebe-re0214.Beta5-RC6-i386-disc3-ftp.iso
                        502880    502880         0 100% \
        /var/ftp/pub/loop/ftpinstall/3
[root@ftp log]#

---------------------------

The ISO build process which yields this error message is
somewhat opaque to me; I have not dug through this yet

My question:  Is there any chance this file "netstg2.img" was
not updated, vis a vis what the PXE ./images/pxeboot/vmlinuz
and initrd.img are telling it to expect?

I suspect at least the initrd is stale, as the initrd was not
touched recently enough:

[root@ftp pxe]# file initrd.img-rhl-8094
initrd.img-rhl-8094: gzip compressed data, deflated, last
modified: Tue Feb  4 13:03:34 2003, max compression, os: Unix

but the kernel was:

[root@ftp pxe]# file vmlinuz-rhl-8094
vmlinuz-rhl-8094: x86 boot sector
[root@ftp pxe]# stat vmlinuz-rhl-8094
  File: "vmlinuz-rhl-8094"
  Size: 857204          Blocks: 1686       IO Block: 4096   Regular File
Device: 303h/771d       Inode: 69427       Links: 1
Access: (0644/-rw-r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
Access: Wed Feb 19 11:51:22 2003
Modify: Tue Feb 11 14:09:09 2003
Change: Wed Feb 12 09:32:41 2003

====================

Obviously a workaround would be nice as well.

- Russ Herrold


Comment 5 Pekka Savola 2003-04-02 11:16:54 UTC
I got hit by this too, in regular FTP install of Red Hat Linux 9; changing to
ASSIGNED.

Comment 6 M Jang 2003-04-02 11:41:02 UTC
I get this problem as well, with the following message in the console:




readHeaders(): exception content-length getting content-length


File ftp://site/pub/redhat-9/RedHat/base/hdlist not found




I get the problem when I try a FTP install from an XP server to VMWare - but I 
don't when I try it from a vsFTP server on RH8 to VMWare.


Comment 7 Jeremy Katz 2003-04-02 20:37:09 UTC
If you're getting that the second stage doesn't match then your boot media and
your second stage are *not* from the same tree.  If you loopback mount them,
you'll see /.buildstamp (of the initrd and netstg2) have different times.  The
ones shipped in Red Hat Linux 9 do have the correct, matching stamps.


Note You need to log in before you can comment on or make changes to this bug.